<?php
/* --------------------------------------------------------------
   PMHerstellerinfoAdmin.inc.php 2024-06-09
   Aqua-Design GmbH
   http://www.packmaster.de
   Copyright (c) 2024 Aqua-Design GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/
class PMHerstellerinfoAdmin extends AdminHttpViewController {
	
	 const VERSION = '2.1.1';
    public static function getVersion() {
        return self::VERSION;
	}

    public function actionDefault() {
    // Hersteller-Daten aus der Datenbank abrufen (einschließlich hersteller_de und importeur_de)
    $sql = "SELECT ma.manufacturers_id, ma.manufacturers_name, mi.languages_id, l.name, mi.hersteller, mi.importeur FROM manufacturers ma, manufacturers_info mi, languages l WHERE mi.manufacturers_id = ma.manufacturers_id AND mi.languages_id = l.languages_id  ";
    $result = xtc_db_query($sql);
    
    // Daten in ein Array speichern
    $herstellerDaten = [];
    while ($row = xtc_db_fetch_array($result)) {
        $herstellerDaten[] = $row;
    }
    
    // Starten der Ausgabe Pufferung
    ob_start();
    
    // Daten an das Template übergeben
    include (__DIR__ . '/../../Templates/select_manufacturer.php');
    
    // Inhalt der Pufferung als Variable speichern
    $content = ob_get_clean();
    
    return new AdminPageHttpControllerResponse('Herstellerinfo', $content);

}
}