<?php
/* --------------------------------------------------------------
   HIProductInfoThemeContentView.inc.php 2024-06-09
   Aqua-Design GmbH
   http://www.packmaster.de
   Copyright (c) 2024 Aqua-Design GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/
class HIProductInfoThemeContentView extends HIProductInfoThemeContentView_parent {
	
public function _assignProductData()
	{
	parent::_assignProductData();
	
		$this->_assignManufacturer();
	}
 
protected function _assignManufacturer()
	{			
$configurationStorage = MainFactory::create('GXModuleConfigurationStorage', 'PM/Herstellerinfo');
$activeValue = $configurationStorage->get('active');
$tabValue = $configurationStorage->get('TabSwitcher');
$descValue = $configurationStorage->get('DescSwitcher');
$groupValue = $configurationStorage->get('CustomerGroupM');
$groupiValue = $configurationStorage->get('CustomerGroupI');
$tabnameValue_a = $configurationStorage->get('tabname');

$editorValue_a = $configurationStorage->get('herstellerinfoEditor');
$bottomeditorValue_a = $configurationStorage->get('herstellerinfoBottomeditor');
$editorValueEN_a = $configurationStorage->get('herstellerinfoEditorEN');
$bottomeditorValueEN_a = $configurationStorage->get('herstellerinfoBottomeditorEN');


$herstellerValue_a = $configurationStorage->get('Herstellerlabel');
$importeurValue_a = $configurationStorage->get('Importeurlabel');
$brandValue_a = $configurationStorage->get('Brandlabel');

$herstellerValueEN_a = $configurationStorage->get('HerstellerlabelEN');
$importeurValueEN_a = $configurationStorage->get('ImporteurlabelEN');
$brandValueEN_a = $configurationStorage->get('BrandlabelEN');


$herstellerValue = '';
if ($herstellerValue_a != '') $herstellerValue = $herstellerValue_a;

$importeurValue = '';
if ($importeurValue_a != '') $importeurValue = $importeurValue_a;

$brandValue = '';
if ($brandValue_a != '') $brandValue = $brandValue_a;

$tabnameValue = '';
if ($tabnameValue_a != '') $tabnameValue = $tabnameValue_a;
$editorValue = '';
if ($editorValue_a != '') $editorValue = $editorValue_a;
$bottomeditorValue = '';
if ($bottomeditorValue_a != '') $bottomeditorValue = $bottomeditorValue_a;


$herstellerValueEN = '';
if ($herstellerValueEN_a != '') $herstellerValueEN = $herstellerValueEN_a;

$importeurValueEN = '';
if ($importeurValueEN_a != '') $importeurValueEN = $importeurValueEN_a;

$brandValueEN = '';
if ($brandValueEN_a != '') $brandValueEN = $brandValueEN_a;

$editorValueEN = '';
if ($editorValueEN_a != '') $editorValueEN = $editorValueEN_a;
$bottomeditorValueEN = '';
if ($bottomeditorValueEN_a != '') $bottomeditorValueEN = $bottomeditorValueEN_a;


$man_id = $this->product->data['manufacturers_id'];
$pr_id = $this->product->data['products_id'];
$language = 2;
$sessionlanguage = (int)$_SESSION['languages_id'];
if ($sessionlanguage >= 1) $language = $sessionlanguage;



$manufacturerinfo1 = xtc_db_query("SELECT hersteller, importeur FROM manufacturers_info WHERE manufacturers_id = '".$man_id."' AND languages_id = '".$language."'");
$manufacturerinfo2 = xtc_db_fetch_array($manufacturerinfo1);
$hersteller_a = $manufacturerinfo2['hersteller'];
$importeur_a = $manufacturerinfo2['importeur'];
$hersteller_pm = '';
if ($hersteller_a != '') $hersteller_pm = $hersteller_a;
$importeur_pm = '';
if ($importeur_a != '') $importeur_pm = $importeur_a;



$brand1 = xtc_db_query("SELECT brand_name FROM products_item_codes WHERE products_id = '".$pr_id."'");
$brand2 = xtc_db_fetch_array($brand1);
$brand_a = $brand2['brand_name'];

$brand_pm = '';
if ($brand_a != '') $brand_pm = $brand_a;



$this->set_content_data('HERSTELLER_TABACTIVE', $tabValue);
$this->set_content_data('HERSTELLER_DESCAKTIVE', $descValue);
$this->set_content_data('HERSTELLER_TABNAME', $tabnameValue);

$this->set_content_data('HERSTELLER_VALUE', $herstellerValue);
$this->set_content_data('HERSTELLER_EDITORVALUE', $editorValue);
$this->set_content_data('HERSTELLER_BOTTOMEDITORVALUE', $bottomeditorValue);
$this->set_content_data('IMPORTEUR_VALUE', $importeurValue);
$this->set_content_data('BRAND_VALUE', $brandValue);

if ($language == 1){
$this->set_content_data('HERSTELLER_VALUE', $herstellerValueEN);
$this->set_content_data('HERSTELLER_EDITORVALUE', $editorValueEN);
$this->set_content_data('HERSTELLER_BOTTOMEDITORVALUE', $bottomeditorValueEN);
$this->set_content_data('IMPORTEUR_VALUE', $importeurValueEN);
$this->set_content_data('BRAND_VALUE', $brandValueEN);
}

$this->set_content_data('HERSTELLER_PM', $hersteller_pm);
$this->set_content_data('IMPORTEUR_PM', $importeur_pm);
$this->set_content_data('BRAND_PM', $brand_pm);


}
}